# dkim_set_user_context()

[back to index]

SYNOPSIS

    #include <dkim.h>
    DKIM_STAT dkim_set_user_context(
    	DKIM *dkim,
            void *ctx);
    );

Specifies an opaque user context pointer to be passed to the DNS callback set by `dkim_set_dns_callback()`, if any.

DESCRIPTION

Called When | `dkim_set_user_context()` can be called at any time prior to DNS operations while verifying.

ARGUMENTS

Argument | Description
--- | ---
dkim | Message-specific signing handle, returned by `dkim_sign()` or `dkim_verify()`. Note that since DNS operations only take place while verifying, this is really only meaningful in the latter case.
ctx | A pointer to a user-generated context handle referencing data specific to the message being signed or verified by the handle provided above.

RETURN VALUES

- DKIM_STAT_OK -- success

NOTES

- The context pointer, if set, will be passed as-is to the DNS callback, if any. It can also be retrieved by the caller at any time using the `dkim_get_user_context()` function.

Copyright (c) 2007 Sendmail, Inc. and its suppliers. All rights reserved.
Copyright (c) 2009-2011, The Trusted Domain Project. All rights reserved.
By using this file, you agree to the terms and conditions set forth in the respective licenses.